Subject: Re: [PATCH 2/4] i2c: at91: implement i2c bus recovery

From: Wolfram Sang <[email-masked]>
Date: Thu, 24 Oct 2019 17:07:26 +0200

> So at the beginning of a new transfer, we should check if SDA (or SCL?) 
> is low and, if it's true, only then we should try recover the bus.

Yes, this is the proper time to do it. Remember, I2C does not define a
timeout.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel